Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.util
Class StreamCharBuffer.ConnectedWriter

    java.lang.Object
      org.codehaus.groovy.grails.web.util.StreamCharBuffer.ConnectedWriter

Enclosing class:
  StreamCharBuffer

    static final class StreamCharBuffer.ConnectedWriter

extends Object

Simple holder class for the connected writer

Author:
  Lari Hotari

Field Summary
`(package private) boolean` | `autoFlush`
`(package private) StreamCharBuffer.LazyInitializingWriter` | `lazyInitializingWriter`
`(package private) Writer` | `writer`

Constructor Summary
`StreamCharBuffer.ConnectedWriter(StreamCharBuffer.LazyInitializingWriter lazyInitializingWriter, boolean autoFlush)`
`StreamCharBuffer.ConnectedWriter(Writer writer, boolean autoFlush)`

Method Summary
`void` | `flush()`
`(package private) Writer` | `getWriter()`
`boolean` | `isAutoFlush()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### writer

    Writer writer

### lazyInitializingWriter

    StreamCharBuffer.LazyInitializingWriter lazyInitializingWriter

### autoFlush

    final boolean autoFlush

Constructor Detail

### StreamCharBuffer.ConnectedWriter

    StreamCharBuffer.ConnectedWriter(Writer writer,
                                     boolean autoFlush)

### StreamCharBuffer.ConnectedWriter

    StreamCharBuffer.ConnectedWriter(StreamCharBuffer.LazyInitializingWriter lazyInitializingWriter,
                                     boolean autoFlush)

Method Detail

### getWriter

    Writer getWriter()
               throws IOException

  Throws:
    `IOException`

### flush

    public void flush()
               throws IOException

  Throws:
    `IOException`

### isAutoFlush

    public boolean isAutoFlush()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD